Bug 72247 - Add SCMDetector object to make scm detection mockable
Summary: Add SCMDetector object to make scm detection mockable
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Seidel (no email)
URL:
Keywords:
Depends on: 76630
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-13 23:59 PST by Eric Seidel (no email)
Modified: 2012-01-19 07:14 PST (History)
6 users (show)

See Also:


Attachments
Patch (23.18 KB, patch)
2011-11-14 00:02 PST, Eric Seidel (no email)
abarth: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2011-11-13 23:59:29 PST
Add SCMDetector object to make scm detection mockable
Comment 1 Eric Seidel (no email) 2011-11-14 00:02:02 PST
Created attachment 114893 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-11-14 00:08:05 PST
Committed r100104: <http://trac.webkit.org/changeset/100104>
Comment 3 Daniel Bates 2011-11-14 00:29:40 PST
Comment on attachment 114893 [details]
Patch

Clearing the commit-queue flag since the patch for this bug was landed as per comment 2.
Comment 4 Tony Gentilcore 2011-11-14 02:46:36 PST
This patch appears to have broken windows builds. Rolling back shortly.

Example log:
https://bugs.webkit.org/show_bug.cgi?id=72247

Philn informs me I'll also need to roll back r100116, so I assume that should be part of the patch when it rolls forward again.
Comment 5 Tony Gentilcore 2011-11-14 02:48:48 PST
Reverted r100104 for reason:

broke windows builds

Committed r100118: <http://trac.webkit.org/changeset/100118>
Comment 6 Tony Gentilcore 2011-11-14 02:57:17 PST
> Example log:
> https://bugs.webkit.org/show_bug.cgi?id=72247

Copy/paste fail. Log is:
http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Vista/builds/8621/steps/webkit_tests/logs/stdio

This showed up on XP, Vista and Win 7.
Comment 7 Eric Seidel (no email) 2011-11-14 13:01:23 PST
Yeah, that's fallout from adding _initialize_scm() before _engage_awesome_windows_hacks are called.  Very easy to fix.  Will re-land shortly.
Comment 8 Eric Seidel (no email) 2011-11-16 00:46:51 PST
We're now engaging windows hacks harder: http://trac.webkit.org/changeset/100421  I'll roll this back in tomorrow when I'm more awake.
Comment 9 Eric Seidel (no email) 2011-11-16 21:09:07 PST
Committed r100558: <http://trac.webkit.org/changeset/100558>
Comment 10 vanuan 2011-11-18 08:40:45 PST
Seems like this patch has broken tests for me. 'svn info' is locale dependent, so it always returns "ScriptError: svn info did not contain a Repository UUID."

Obvious fix would be running svn info in clean environment. I can prepare a patch for this.